UNAME(1)

NAME
uname - print system information

SYNOPSIS
uname [-amnrsv]

DESCRIPTION
uname writes system information to stdout. If no flags are given, uname implies -s.

OPTIONS

-a  Print all the information below.

-m  Print the machine's architecture.

-n  Print the system's network node hostname.

-r  Print the operating system's release name.

-s  Print the name of the operating system.

-v  Print the operating system's version name.

SEE ALSO
uname(2)

STANDARDS
The uname utility is compliant with the p1003.1-2013 specification.